/*transition: all 0.25s ease-in-out 0s;*/
:root{
    --main-wrapper-max-width: 1220px;
    --main-wrapper-lg-max-width: 1840px;
    --main-wrapper-padding: 20px;
    --main-wrapper-lg-padding: 0;
    --main-main-font-size: 14px;
    --main-main-line-height: 1.43;
    --main-input-heigth: 40px;
    --main-input-heigth-lg: 60px;
    --main-button-heigth: 40px;
    --main-header-heigth: 152px;
    --main-footer-margin: 100px;
    --main-footer-item-margin: 35px;
    --main-form-item-margin: 10px;
    --main-gallery-content-width: 300px;
    --main-screen-margin: 100px;
    --main-calc-width: 79.349%;
    --main-lefted: calc(( 100% - var(--main-wrapper-max-width) ) / 2 + var(--main-wrapper-padding) - 20px);
    --main-calc-x-padding: 100px;
    --main-services-cards-block-margin: 360px;
    --scrollbar-width: 17px;
}

@media screen and (max-width: 1900px) {
    :root{
        --main-wrapper-lg-padding: 20px;
        --main-calc-x-padding: 60px;
    }
}

@media screen and (min-width: 1840px) {
    .side_gallery_content.scroll-to-fixed-fixed.fixed_absolute{
        width: calc((var(--main-wrapper-lg-max-width) - var(--main-lefted)) / 100 * 38.709 - 40px );
    }
    .side_gallery_content.scroll-to-fixed-fixed {
        width: calc((var(--main-wrapper-lg-max-width) - var(--main-lefted)) / 100 * 38.709 - 28px );
    }
}


@media screen and (max-width: 1599px) {
    :root{
        --main-header-heigth: 122px;
        --main-screen-margin: 80px;
        --main-services-cards-block-margin: 200px;
    }
}
@media screen and (max-width: 1360px) {
    :root{
        --main-header-heigth: 152px;
    }
}

@media screen and (max-width: 1340px) {
    :root{
        --main-input-heigth-lg: 56px;
    }
}


@media screen and (max-width: 1200px) {

    :root{
        --main-screen-margin: 70px;
        --main-footer-margin: 80px;
        --main-calc-width: 90%;
        --main-header-heigth: 112px;
    }

}

@media screen and (max-width: 992px) {

    :root{
        --main-screen-margin: 60px;
        --main-calc-width: 92%;
        --main-calc-x-padding: 40px;
    }

}

@media screen and (max-width: 767px) {

    :root{
        --main-wrapper-padding: 30px;
        --main-wrapper-lg-padding: 30px;
        --main-wrapper-sm-padding: 5px;
        --main-header-heigth: 80px;
        --main-screen-margin: 50px;
        --main-footer-margin: 50px;
        --main-services-cards-block-margin: 0;
        --main-form-item-margin: 14px;
        --main-input-heigth-lg: 50px;
    }

}

@media screen and (max-width: 374px) {
    :root{
        /*--main-wrapper-padding: 15px;
        --main-wrapper-lg-padding: 15px;*/
    }
}
